Index: trunk/quest-plugin-mfc/src/main/java/de/ugoe/cs/quest/plugin/mfc/guimodel/MFCButton.java
===================================================================
--- trunk/quest-plugin-mfc/src/main/java/de/ugoe/cs/quest/plugin/mfc/guimodel/MFCButton.java	(revision 648)
+++ trunk/quest-plugin-mfc/src/main/java/de/ugoe/cs/quest/plugin/mfc/guimodel/MFCButton.java	(revision 655)
@@ -1,7 +1,2 @@
-// Module    : $RCSfile: MFCButton.java,v $
-// Version   : $Revision: 0.0 $  $Author: pharms $  $Date: 21.08.2012 $
-// Project   : quest-plugin-mfc-blub
-// Creation  : 2012 by pharms
-// Copyright : Patrick Harms, 2012
 package de.ugoe.cs.quest.plugin.mfc.guimodel;
 
Index: trunk/quest-plugin-mfc/src/main/java/de/ugoe/cs/quest/plugin/mfc/guimodel/MFCCanvas.java
===================================================================
--- trunk/quest-plugin-mfc/src/main/java/de/ugoe/cs/quest/plugin/mfc/guimodel/MFCCanvas.java	(revision 648)
+++ trunk/quest-plugin-mfc/src/main/java/de/ugoe/cs/quest/plugin/mfc/guimodel/MFCCanvas.java	(revision 655)
@@ -1,7 +1,2 @@
-// Module    : $RCSfile: MFCCanvas.java,v $
-// Version   : $Revision: 0.0 $  $Author: pharms $  $Date: 23.08.2012 $
-// Project   : quest-plugin-mfc
-// Creation  : 2012 by pharms
-// Copyright : Patrick Harms, 2012
 package de.ugoe.cs.quest.plugin.mfc.guimodel;
 
Index: trunk/quest-plugin-mfc/src/main/java/de/ugoe/cs/quest/plugin/mfc/guimodel/MFCComboBox.java
===================================================================
--- trunk/quest-plugin-mfc/src/main/java/de/ugoe/cs/quest/plugin/mfc/guimodel/MFCComboBox.java	(revision 648)
+++ trunk/quest-plugin-mfc/src/main/java/de/ugoe/cs/quest/plugin/mfc/guimodel/MFCComboBox.java	(revision 655)
@@ -1,7 +1,2 @@
-// Module    : $RCSfile: MFCComboBox.java,v $
-// Version   : $Revision: 0.0 $  $Author: pharms $  $Date: 23.08.2012 $
-// Project   : quest-plugin-mfc
-// Creation  : 2012 by pharms
-// Copyright : Patrick Harms, 2012
 package de.ugoe.cs.quest.plugin.mfc.guimodel;
 
Index: trunk/quest-plugin-mfc/src/main/java/de/ugoe/cs/quest/plugin/mfc/guimodel/MFCDialog.java
===================================================================
--- trunk/quest-plugin-mfc/src/main/java/de/ugoe/cs/quest/plugin/mfc/guimodel/MFCDialog.java	(revision 648)
+++ trunk/quest-plugin-mfc/src/main/java/de/ugoe/cs/quest/plugin/mfc/guimodel/MFCDialog.java	(revision 655)
@@ -1,7 +1,2 @@
-// Module    : $RCSfile: MFCDialog.java,v $
-// Version   : $Revision: 0.0 $  $Author: pharms $  $Date: 21.08.2012 $
-// Project   : quest-plugin-mfc-blub
-// Creation  : 2012 by pharms
-// Copyright : Patrick Harms, 2012
 package de.ugoe.cs.quest.plugin.mfc.guimodel;
 
Index: trunk/quest-plugin-mfc/src/main/java/de/ugoe/cs/quest/plugin/mfc/guimodel/MFCGUIElement.java
===================================================================
--- trunk/quest-plugin-mfc/src/main/java/de/ugoe/cs/quest/plugin/mfc/guimodel/MFCGUIElement.java	(revision 648)
+++ trunk/quest-plugin-mfc/src/main/java/de/ugoe/cs/quest/plugin/mfc/guimodel/MFCGUIElement.java	(revision 655)
@@ -1,8 +1,2 @@
-// Module    : $RCSfile: GUIElementFromReplay.java,v $
-// Version   : $Revision: 0.0 $  $Author: Patrick $  $Date: 27.11.2011 17:18:00 $
-// Project   : TaskTreePerformanceTest
-// Creation  : 2011 by Patrick
-// Copyright : Patrick Harms, 2011
-
 package de.ugoe.cs.quest.plugin.mfc.guimodel;
 
Index: trunk/quest-plugin-mfc/src/main/java/de/ugoe/cs/quest/plugin/mfc/guimodel/MFCGUIElementSpec.java
===================================================================
--- trunk/quest-plugin-mfc/src/main/java/de/ugoe/cs/quest/plugin/mfc/guimodel/MFCGUIElementSpec.java	(revision 648)
+++ trunk/quest-plugin-mfc/src/main/java/de/ugoe/cs/quest/plugin/mfc/guimodel/MFCGUIElementSpec.java	(revision 655)
@@ -1,3 +1,2 @@
-
 package de.ugoe.cs.quest.plugin.mfc.guimodel;
 
Index: trunk/quest-plugin-mfc/src/main/java/de/ugoe/cs/quest/plugin/mfc/guimodel/MFCListBox.java
===================================================================
--- trunk/quest-plugin-mfc/src/main/java/de/ugoe/cs/quest/plugin/mfc/guimodel/MFCListBox.java	(revision 648)
+++ trunk/quest-plugin-mfc/src/main/java/de/ugoe/cs/quest/plugin/mfc/guimodel/MFCListBox.java	(revision 655)
@@ -1,7 +1,2 @@
-// Module    : $RCSfile: MFCListBox.java,v $
-// Version   : $Revision: 0.0 $  $Author: pharms $  $Date: 23.08.2012 $
-// Project   : quest-plugin-mfc
-// Creation  : 2012 by pharms
-// Copyright : Patrick Harms, 2012
 package de.ugoe.cs.quest.plugin.mfc.guimodel;
 
Index: trunk/quest-plugin-mfc/src/main/java/de/ugoe/cs/quest/plugin/mfc/guimodel/MFCPanel.java
===================================================================
--- trunk/quest-plugin-mfc/src/main/java/de/ugoe/cs/quest/plugin/mfc/guimodel/MFCPanel.java	(revision 648)
+++ trunk/quest-plugin-mfc/src/main/java/de/ugoe/cs/quest/plugin/mfc/guimodel/MFCPanel.java	(revision 655)
@@ -1,7 +1,2 @@
-// Module    : $RCSfile: MFCPanel.java,v $
-// Version   : $Revision: 0.0 $  $Author: pharms $  $Date: 23.08.2012 $
-// Project   : quest-plugin-mfc
-// Creation  : 2012 by pharms
-// Copyright : Patrick Harms, 2012
 package de.ugoe.cs.quest.plugin.mfc.guimodel;
 
Index: trunk/quest-plugin-mfc/src/main/java/de/ugoe/cs/quest/plugin/mfc/guimodel/MFCTabbedPane.java
===================================================================
--- trunk/quest-plugin-mfc/src/main/java/de/ugoe/cs/quest/plugin/mfc/guimodel/MFCTabbedPane.java	(revision 648)
+++ trunk/quest-plugin-mfc/src/main/java/de/ugoe/cs/quest/plugin/mfc/guimodel/MFCTabbedPane.java	(revision 655)
@@ -1,7 +1,2 @@
-// Module    : $RCSfile: MFCTabbedPane.java,v $
-// Version   : $Revision: 0.0 $  $Author: pharms $  $Date: 23.08.2012 $
-// Project   : quest-plugin-mfc
-// Creation  : 2012 by pharms
-// Copyright : Patrick Harms, 2012
 package de.ugoe.cs.quest.plugin.mfc.guimodel;
 
Index: trunk/quest-plugin-mfc/src/main/java/de/ugoe/cs/quest/plugin/mfc/guimodel/MFCTextArea.java
===================================================================
--- trunk/quest-plugin-mfc/src/main/java/de/ugoe/cs/quest/plugin/mfc/guimodel/MFCTextArea.java	(revision 648)
+++ trunk/quest-plugin-mfc/src/main/java/de/ugoe/cs/quest/plugin/mfc/guimodel/MFCTextArea.java	(revision 655)
@@ -1,7 +1,2 @@
-// Module    : $RCSfile: MFCTextArea.java,v $
-// Version   : $Revision: 0.0 $  $Author: pharms $  $Date: 21.08.2012 $
-// Project   : quest-plugin-mfc-blub
-// Creation  : 2012 by pharms
-// Copyright : Patrick Harms, 2012
 package de.ugoe.cs.quest.plugin.mfc.guimodel;
 
Index: trunk/quest-plugin-mfc/src/main/java/de/ugoe/cs/quest/plugin/mfc/guimodel/MFCToolBar.java
===================================================================
--- trunk/quest-plugin-mfc/src/main/java/de/ugoe/cs/quest/plugin/mfc/guimodel/MFCToolBar.java	(revision 648)
+++ trunk/quest-plugin-mfc/src/main/java/de/ugoe/cs/quest/plugin/mfc/guimodel/MFCToolBar.java	(revision 655)
@@ -1,7 +1,2 @@
-// Module    : $RCSfile: MFCToolBar.java,v $
-// Version   : $Revision: 0.0 $  $Author: pharms $  $Date: 23.08.2012 $
-// Project   : quest-plugin-mfc
-// Creation  : 2012 by pharms
-// Copyright : Patrick Harms, 2012
 package de.ugoe.cs.quest.plugin.mfc.guimodel;
 
Index: trunk/quest-plugin-mfc/src/main/java/de/ugoe/cs/quest/plugin/mfc/guimodel/MFCTrackBar.java
===================================================================
--- trunk/quest-plugin-mfc/src/main/java/de/ugoe/cs/quest/plugin/mfc/guimodel/MFCTrackBar.java	(revision 648)
+++ trunk/quest-plugin-mfc/src/main/java/de/ugoe/cs/quest/plugin/mfc/guimodel/MFCTrackBar.java	(revision 655)
@@ -1,7 +1,2 @@
-// Module    : $RCSfile: MFCTrackBar.java,v $
-// Version   : $Revision: 0.0 $  $Author: pharms $  $Date: 23.08.2012 $
-// Project   : quest-plugin-mfc
-// Creation  : 2012 by pharms
-// Copyright : Patrick Harms, 2012
 package de.ugoe.cs.quest.plugin.mfc.guimodel;
 
Index: trunk/quest-plugin-mfc/src/main/java/de/ugoe/cs/quest/plugin/mfc/guimodel/MFCWindow.java
===================================================================
--- trunk/quest-plugin-mfc/src/main/java/de/ugoe/cs/quest/plugin/mfc/guimodel/MFCWindow.java	(revision 648)
+++ trunk/quest-plugin-mfc/src/main/java/de/ugoe/cs/quest/plugin/mfc/guimodel/MFCWindow.java	(revision 655)
@@ -1,8 +1,2 @@
-// Module    : $RCSfile: WindowFromReplay.java,v $
-// Version   : $Revision: 0.0 $  $Author: Patrick $  $Date: 27.11.2011 18:26:10 $
-// Project   : TaskTreePerformanceTest
-// Creation  : 2011 by Patrick
-// Copyright : Patrick Harms, 2011
-
 package de.ugoe.cs.quest.plugin.mfc.guimodel;
 
Index: trunk/quest-plugin-mfc/src/main/java/de/ugoe/cs/quest/plugin/mfc/guimodel/WindowTree.java
===================================================================
--- trunk/quest-plugin-mfc/src/main/java/de/ugoe/cs/quest/plugin/mfc/guimodel/WindowTree.java	(revision 648)
+++ trunk/quest-plugin-mfc/src/main/java/de/ugoe/cs/quest/plugin/mfc/guimodel/WindowTree.java	(revision 655)
@@ -1,3 +1,2 @@
-
 package de.ugoe.cs.quest.plugin.mfc.guimodel;
 