Index: trunk/quest-ui-core-test/src/test/java/de/ugoe/cs/quest/ui/GlobalDataContainerTest.java
===================================================================
--- trunk/quest-ui-core-test/src/test/java/de/ugoe/cs/quest/ui/GlobalDataContainerTest.java	(revision 655)
+++ trunk/quest-ui-core-test/src/test/java/de/ugoe/cs/quest/ui/GlobalDataContainerTest.java	(revision 666)
@@ -1,3 +1,11 @@
 package de.ugoe.cs.quest.ui;
+
+import static org.junit.Assert.assertEquals;
+import static org.junit.Assert.assertFalse;
+import static org.junit.Assert.assertNotNull;
+import static org.junit.Assert.assertNull;
+import static org.junit.Assert.assertSame;
+import static org.junit.Assert.assertTrue;
+import static org.junit.Assert.fail;
 
 import java.io.ByteArrayInputStream;
@@ -10,13 +18,7 @@
 import java.util.Collection;
 import java.util.LinkedList;
-import java.util.List;
-
-import org.junit.*;
-
-import de.ugoe.cs.quest.eventcore.Event;
-import de.ugoe.cs.quest.usageprofiles.IStochasticProcess;
-
-import static org.junit.Assert.*;
-import static org.mockito.Mockito.*;
+
+import org.junit.Before;
+import org.junit.Test;
 
 /**
@@ -240,169 +242,4 @@
 
     @Test
-    public void testGetAllSequencesNames_1() {
-        GlobalDataContainer instance = GlobalDataContainer.getInstance();
-        String key1 = "key1";
-        String data1 = "data1";
-        String key2 = "key2";
-        String data2 = "data2";
-        String key3 = "key3";
-        Integer data3 = 1;
-        String key4 = "key4";
-        Integer data4 = 2;
-        String key5 = "key5";
-        Integer data5 = 3;
-
-        assertFalse(instance.addData(key1, data1));
-        assertFalse(instance.addData(key2, data2));
-        assertFalse(instance.addData(key3, data3));
-        assertFalse(instance.addData(key4, data4));
-        assertFalse(instance.addData(key5, data5));
-
-        String keySeq1 = "seq1";
-        Collection<List<Event>> seq1 = new LinkedList<List<Event>>();
-        List<Event> subseq1 = new LinkedList<Event>();
-        subseq1.add(Event.STARTEVENT);
-        seq1.add(subseq1);
-
-        String keySeq2 = "seq2";
-        Collection<List<Event>> seq2 = new LinkedList<List<Event>>();
-        List<Event> subseq2 = new LinkedList<Event>();
-        subseq2.add(Event.STARTEVENT);
-        seq2.add(subseq2);
-
-        assertFalse(instance.addData(keySeq1, seq1));
-        assertFalse(instance.addData(keySeq2, seq2));
-
-        Collection<String> expected = new LinkedList<String>();
-        expected.add(keySeq1);
-        expected.add(keySeq2);
-
-        assertCollectionContent(expected, instance.getAllSequencesNames());
-    }
-
-    @Test
-    public void testGetAllSequencesNames_2() {
-        GlobalDataContainer instance = GlobalDataContainer.getInstance();
-        String key1 = "key1";
-        String data1 = "data1";
-        String key2 = "key2";
-        String data2 = "data2";
-        String key3 = "key3";
-        Integer data3 = 1;
-        String key4 = "key4";
-        Integer data4 = 2;
-        String key5 = "key5";
-        Integer data5 = 3;
-
-        assertFalse(instance.addData(key1, data1));
-        assertFalse(instance.addData(key2, data2));
-        assertFalse(instance.addData(key3, data3));
-        assertFalse(instance.addData(key4, data4));
-        assertFalse(instance.addData(key5, data5));
-
-        String keySeq1 = "seq1";
-        Collection<List<Event>> seq1 = new LinkedList<List<Event>>();
-        List<Event> subseq1 = new LinkedList<Event>();
-        subseq1.add(Event.STARTEVENT);
-        seq1.add(subseq1);
-
-        String keySeq2 = "seq2";
-        Collection<List<Event>> seq2 = new LinkedList<List<Event>>();
-
-        assertFalse(instance.addData(keySeq1, seq1));
-        assertFalse(instance.addData(keySeq2, seq2));
-
-        Collection<String> expected = new LinkedList<String>();
-        expected.add(keySeq1);
-
-        assertCollectionContent(expected, instance.getAllSequencesNames());
-    }
-
-    @Test
-    public void testGetAllSequencesNames_3() {
-        GlobalDataContainer instance = GlobalDataContainer.getInstance();
-        String key1 = "key1";
-        String data1 = "data1";
-        String key2 = "key2";
-        String data2 = "data2";
-        String key3 = "key3";
-        Integer data3 = 1;
-        String key4 = "key4";
-        Integer data4 = 2;
-        String key5 = "key5";
-        Integer data5 = 3;
-
-        assertFalse(instance.addData(key1, data1));
-        assertFalse(instance.addData(key2, data2));
-        assertFalse(instance.addData(key3, data3));
-        assertFalse(instance.addData(key4, data4));
-        assertFalse(instance.addData(key5, data5));
-
-        Collection<String> expected = new LinkedList<String>();
-
-        assertCollectionContent(expected, instance.getAllSequencesNames());
-    }
-
-    @Test
-    public void testGetAllModelNames_1() {
-        GlobalDataContainer instance = GlobalDataContainer.getInstance();
-        String key1 = "key1";
-        String data1 = "data1";
-        String key2 = "key2";
-        String data2 = "data2";
-        String key3 = "key3";
-        Integer data3 = 1;
-        String key4 = "key4";
-        Integer data4 = 2;
-        String key5 = "key5";
-        Integer data5 = 3;
-
-        assertFalse(instance.addData(key1, data1));
-        assertFalse(instance.addData(key2, data2));
-        assertFalse(instance.addData(key3, data3));
-        assertFalse(instance.addData(key4, data4));
-        assertFalse(instance.addData(key5, data5));
-
-        String modelKey1 = "model1";
-        IStochasticProcess model1 = mock(IStochasticProcess.class);
-        String modelKey2 = "model2";
-        IStochasticProcess model2 = mock(IStochasticProcess.class);
-
-        assertFalse(instance.addData(modelKey1, model1));
-        assertFalse(instance.addData(modelKey2, model2));
-
-        Collection<String> expected = new LinkedList<String>();
-        expected.add(modelKey1);
-        expected.add(modelKey2);
-
-        assertCollectionContent(expected, instance.getAllModelNames());
-    }
-
-    @Test
-    public void testGetAllModelNames_2() {
-        GlobalDataContainer instance = GlobalDataContainer.getInstance();
-        String key1 = "key1";
-        String data1 = "data1";
-        String key2 = "key2";
-        String data2 = "data2";
-        String key3 = "key3";
-        Integer data3 = 1;
-        String key4 = "key4";
-        Integer data4 = 2;
-        String key5 = "key5";
-        Integer data5 = 3;
-
-        assertFalse(instance.addData(key1, data1));
-        assertFalse(instance.addData(key2, data2));
-        assertFalse(instance.addData(key3, data3));
-        assertFalse(instance.addData(key4, data4));
-        assertFalse(instance.addData(key5, data5));
-
-        Collection<String> expected = new LinkedList<String>();
-
-        assertCollectionContent(expected, instance.getAllModelNames());
-    }
-
-    @Test
     public void testSerialization_1() throws Exception {
         GlobalDataContainer instance = GlobalDataContainer.getInstance();