Index: trunk/quest-plugin-mfc/src/main/java/de/ugoe/cs/quest/plugin/mfc/guimodel/MFCButton.java
===================================================================
--- trunk/quest-plugin-mfc/src/main/java/de/ugoe/cs/quest/plugin/mfc/guimodel/MFCButton.java	(revision 832)
+++ trunk/quest-plugin-mfc/src/main/java/de/ugoe/cs/quest/plugin/mfc/guimodel/MFCButton.java	(revision 837)
@@ -1,2 +1,3 @@
+
 package de.ugoe.cs.quest.plugin.mfc.guimodel;
 
@@ -5,21 +6,29 @@
 /**
  * <p>
- * TODO comment
+ * Class that represents buttons in MFC GUIs.
  * </p>
  * 
- * @version $Revision: $ $Date: 21.08.2012$
- * @author 2012, last modified by $Author: pharms$
+ * @version 1.0
+ * @author Patrick Harms
  */
 public class MFCButton extends MFCGUIElement implements IButton {
 
-    /**  */
+    /**
+     * <p>
+     * Id for object serialization.
+     * </p>
+     */
     private static final long serialVersionUID = 1L;
 
     /**
      * <p>
-     * TODO: comment
+     * Constructor. Creates a new MFCButton.
      * </p>
-     *
+     * 
      * @param specification
+     *            specification of created GUI element
+     * @param parent
+     *            parent of the created GUI element; null means that the element is a top-level
+     *            window
      */
     public MFCButton(MFCGUIElementSpec specification, MFCGUIElement parent) {
Index: trunk/quest-plugin-mfc/src/main/java/de/ugoe/cs/quest/plugin/mfc/guimodel/MFCCanvas.java
===================================================================
--- trunk/quest-plugin-mfc/src/main/java/de/ugoe/cs/quest/plugin/mfc/guimodel/MFCCanvas.java	(revision 832)
+++ trunk/quest-plugin-mfc/src/main/java/de/ugoe/cs/quest/plugin/mfc/guimodel/MFCCanvas.java	(revision 837)
@@ -1,2 +1,3 @@
+
 package de.ugoe.cs.quest.plugin.mfc.guimodel;
 
@@ -5,22 +6,29 @@
 /**
  * <p>
- * TODO comment
+ * Class that represents canvas' in MFC GUIs.
  * </p>
  * 
- * @version $Revision: $ $Date: 23.08.2012$
- * @author 2012, last modified by $Author: pharms$
+ * @version 1.0
+ * @author Patrick Harms
  */
 public class MFCCanvas extends MFCGUIElement implements ICanvas {
 
-    /**  */
+    /**
+     * <p>
+     * Id for object serialization.
+     * </p>
+     */
     private static final long serialVersionUID = 1L;
 
     /**
      * <p>
-     * TODO: comment
+     * Constructor. Creates a new MFCCanvas.
      * </p>
-     *
+     * 
      * @param specification
+     *            specification of created GUI element
      * @param parent
+     *            parent of the created GUI element; null means that the element is a top-level
+     *            window
      */
     public MFCCanvas(MFCGUIElementSpec specification, MFCGUIElement parent) {
Index: trunk/quest-plugin-mfc/src/main/java/de/ugoe/cs/quest/plugin/mfc/guimodel/MFCComboBox.java
===================================================================
--- trunk/quest-plugin-mfc/src/main/java/de/ugoe/cs/quest/plugin/mfc/guimodel/MFCComboBox.java	(revision 832)
+++ trunk/quest-plugin-mfc/src/main/java/de/ugoe/cs/quest/plugin/mfc/guimodel/MFCComboBox.java	(revision 837)
@@ -1,2 +1,3 @@
+
 package de.ugoe.cs.quest.plugin.mfc.guimodel;
 
@@ -5,22 +6,29 @@
 /**
  * <p>
- * TODO comment
+ * Class that represents combo boxes in MFC GUIs.
  * </p>
  * 
- * @version $Revision: $ $Date: 23.08.2012$
- * @author 2012, last modified by $Author: pharms$
+ * @version 1.0
+ * @author Patrick Harms
  */
 public class MFCComboBox extends MFCGUIElement implements IComboBox {
 
-    /**  */
+    /**
+     * <p>
+     * Id for object serialization.
+     * </p>
+     */
     private static final long serialVersionUID = 1L;
 
     /**
      * <p>
-     * TODO: comment
+     * Constructor. Creates a new MFCComboBox.
      * </p>
-     *
+     * 
      * @param specification
+     *            specification of created GUI element
      * @param parent
+     *            parent of the created GUI element; null means that the element is a top-level
+     *            window
      */
     public MFCComboBox(MFCGUIElementSpec specification, MFCGUIElement parent) {
Index: trunk/quest-plugin-mfc/src/main/java/de/ugoe/cs/quest/plugin/mfc/guimodel/MFCDialog.java
===================================================================
--- trunk/quest-plugin-mfc/src/main/java/de/ugoe/cs/quest/plugin/mfc/guimodel/MFCDialog.java	(revision 832)
+++ trunk/quest-plugin-mfc/src/main/java/de/ugoe/cs/quest/plugin/mfc/guimodel/MFCDialog.java	(revision 837)
@@ -1,2 +1,3 @@
+
 package de.ugoe.cs.quest.plugin.mfc.guimodel;
 
@@ -5,21 +6,29 @@
 /**
  * <p>
- * TODO comment
+ * Class that represents dialogs in MFC GUIs.
  * </p>
  * 
- * @version $Revision: $ $Date: 21.08.2012$
- * @author 2012, last modified by $Author: pharms$
+ * @version 1.0
+ * @author Patrick Harms
  */
 public class MFCDialog extends MFCWindow implements IDialog {
 
-    /**  */
+    /**
+     * <p>
+     * Id for object serialization.
+     * </p>
+     */
     private static final long serialVersionUID = 1L;
 
     /**
      * <p>
-     * TODO: comment
+     * Constructor. Creates a new MFCDialog.
      * </p>
-     *
+     * 
      * @param specification
+     *            specification of created GUI element
+     * @param parent
+     *            parent of the created GUI element; null means that the element is a top-level
+     *            window
      */
     public MFCDialog(MFCGUIElementSpec specification, MFCGUIElement parent) {
Index: trunk/quest-plugin-mfc/src/main/java/de/ugoe/cs/quest/plugin/mfc/guimodel/MFCGUIElement.java
===================================================================
--- trunk/quest-plugin-mfc/src/main/java/de/ugoe/cs/quest/plugin/mfc/guimodel/MFCGUIElement.java	(revision 832)
+++ trunk/quest-plugin-mfc/src/main/java/de/ugoe/cs/quest/plugin/mfc/guimodel/MFCGUIElement.java	(revision 837)
@@ -1,2 +1,3 @@
+
 package de.ugoe.cs.quest.plugin.mfc.guimodel;
 
@@ -5,18 +6,30 @@
 
 /**
- * TODO comment
+ * <p>
+ * Base class that represents GUI element in MFC GUIs.
+ * </p>
  * 
- * @version $Revision: $ $Date: $
- * @author 2011, last modified by $Author: $
+ * @version 1.0
+ * @author Patrick Harms
  */
 public abstract class MFCGUIElement extends AbstractDefaultGUIElement {
-    
-    /**  */
+
+    /**
+     * <p>
+     * Id for object serialization.
+     * </p>
+     */
     private static final long serialVersionUID = 1L;
 
     /**
-     * @param name
-     * @param id
-     * @param isModal
+     * <p>
+     * Constructor. Creates a new MFCGUIElement.
+     * </p>
+     * 
+     * @param specification
+     *            specification of created GUI element
+     * @param parent
+     *            parent of the created GUI element; null means that the element is a top-level
+     *            window
      */
     public MFCGUIElement(MFCGUIElementSpec specification, MFCGUIElement parent) {
@@ -24,5 +37,7 @@
     }
 
-    /* (non-Javadoc)
+    /*
+     * (non-Javadoc)
+     * 
      * @see de.ugoe.cs.quest.eventcore.IEventTarget#getPlatform()
      */
@@ -33,5 +48,9 @@
 
     /**
-     * @return Returns the id.
+     * <p>
+     * Returns the HWND (Id) of the GUI element.
+     * </p>
+     * 
+     * @return the HWND (Id)
      */
     public String getId() {
@@ -40,5 +59,9 @@
 
     /**
-     * @return Returns the name.
+     * <p>
+     * Returns the type of the GUI element.
+     * </p>
+     * 
+     * @return the type
      */
     public String getType() {
@@ -47,5 +70,9 @@
 
     /**
-     * @return Returns the name.
+     * <p>
+     * Returns the name of the GUI element.
+     * </p>
+     * 
+     * @return the name
      */
     public String getName() {
@@ -54,5 +81,9 @@
 
     /**
-     * @return Returns the isModal.
+     * <p>
+     * Returns the modality of the GUI element.
+     * </p>
+     * 
+     * @return the modality
      */
     public boolean isModal() {
@@ -62,8 +93,8 @@
     /**
      * <p>
-     * TODO: comment
+     * Returns the resource Id of the GUI element.
      * </p>
-     *
-     * @return
+     * 
+     * @return the resource Id
      */
     public int getResourceId() {
@@ -71,6 +102,10 @@
     }
 
-    /* (non-Javadoc)
-     * @see de.ugoe.cs.quest.eventcore.guimodel.IGUIElement#updateSpecification(de.ugoe.cs.quest.eventcore.guimodel.IGUIElementSpec)
+    /*
+     * (non-Javadoc)
+     * 
+     * @see
+     * de.ugoe.cs.quest.eventcore.guimodel.IGUIElement#updateSpecification(de.ugoe.cs.quest.eventcore
+     * .guimodel.IGUIElementSpec)
      */
     @Override
@@ -78,9 +113,14 @@
         ((MFCGUIElementSpec) super.getSpecification()).update(furtherSpec);
     }
-    
+
+    /*
+     * (non-Javadoc)
+     * 
+     * @see de.ugoe.cs.quest.eventcore.IEventTarget#getStringIdentifier()
+     */
     @Override
     public String getStringIdentifier() {
         String str = this.toString();
-        if( getParent()!=null ) {
+        if (getParent() != null) {
             return getParent().getStringIdentifier() + "->" + str;
         }
@@ -88,5 +128,7 @@
     }
 
-    /* (non-Javadoc)
+    /*
+     * (non-Javadoc)
+     * 
      * @see java.lang.Object#toString()
      */
@@ -98,11 +140,12 @@
     /**
      * <p>
-     * TODO: comment
+     * Returns the XML representation of the GUI element.
      * </p>
+     * 
+     * @return the XML representation
      */
     public String toXML() {
         if (getParent() != null) {
-            return
-                ((MFCGUIElement) getParent()).toXML() +
+            return ((MFCGUIElement) getParent()).toXML() +
                 ((MFCGUIElementSpec) super.getSpecification()).toXML();
         }
Index: trunk/quest-plugin-mfc/src/main/java/de/ugoe/cs/quest/plugin/mfc/guimodel/MFCGUIElementSpec.java
===================================================================
--- trunk/quest-plugin-mfc/src/main/java/de/ugoe/cs/quest/plugin/mfc/guimodel/MFCGUIElementSpec.java	(revision 832)
+++ trunk/quest-plugin-mfc/src/main/java/de/ugoe/cs/quest/plugin/mfc/guimodel/MFCGUIElementSpec.java	(revision 837)
@@ -1,2 +1,3 @@
+
 package de.ugoe.cs.quest.plugin.mfc.guimodel;
 
@@ -99,9 +100,5 @@
      *            modality of the window
      */
-    protected MFCGUIElementSpec(long    hwnd,
-                                String  name,
-                                int     resourceId,
-                                String  type,
-                                boolean isModal)
+    protected MFCGUIElementSpec(long hwnd, String name, int resourceId, String type, boolean isModal)
     {
         this.hwnd = hwnd;
@@ -121,5 +118,5 @@
     public String getName() {
         StringBuffer names = new StringBuffer();
-        
+
         if (name != null) {
             names.append('"');
@@ -130,9 +127,9 @@
             names.append("NOT_SET");
         }
-        
+
         if (formerNames.size() > 0) {
-            
+
             names.append(" (aka ");
-            
+
             for (int i = 0; i < formerNames.size(); i++) {
                 if (i > 0) {
@@ -144,8 +141,8 @@
                 names.append('"');
             }
-            
+
             names.append(")");
         }
-        
+
         return names.toString();
     }
@@ -173,5 +170,7 @@
     }
 
-    /* (non-Javadoc)
+    /*
+     * (non-Javadoc)
+     * 
      * @see de.ugoe.cs.quest.eventcore.guimodel.IGUIElementSpec#getType()
      */
@@ -183,8 +182,8 @@
     /**
      * <p>
-     * TODO: comment
-     * </p>
-     *
-     * @return
+     * Returns the modality of the specified GUI element.
+     * </p>
+     * 
+     * @return the modality
      */
     public boolean isModal() {
@@ -201,11 +200,10 @@
      */
     public void setName(String newName) {
-        if ((this.name != null) &&
-            (!this.name.equals(newName)) &&
+        if ((this.name != null) && (!this.name.equals(newName)) &&
             (!this.formerNames.contains(this.name)))
         {
             this.formerNames.add(this.name);
         }
-        
+
         this.name = newName;
     }
@@ -223,22 +221,26 @@
             this.formerHwnds.add(this.hwnd);
         }
-        
+
         this.hwnd = newHwnd;
     }
 
-    /* (non-Javadoc)
-     * @see de.ugoe.cs.quest.eventcore.guimodel.IGUIElementSpec#getSimilarity(de.ugoe.cs.quest.eventcore.guimodel.IGUIElementSpec)
+    /*
+     * (non-Javadoc)
+     * 
+     * @see
+     * de.ugoe.cs.quest.eventcore.guimodel.IGUIElementSpec#getSimilarity(de.ugoe.cs.quest.eventcore
+     * .guimodel.IGUIElementSpec)
      */
     @Override
     public boolean getSimilarity(IGUIElementSpec other) {
-        
+
         if (this == other) {
             return true;
         }
-        
+
         if (!(other instanceof MFCGUIElementSpec)) {
             return false;
         }
-        
+
         MFCGUIElementSpec otherSpec = (MFCGUIElementSpec) other;
 
@@ -260,20 +262,21 @@
         // and reopend, i.e. a new instance is created. If one of them stays the same, then
         // similarity is given. Therefore these are the first two comparisons
-        
+
         if (hwnd == otherSpec.hwnd) {
             return true;
         }
-        
+
         if ((name != null) && (name.equals(otherSpec.name))) {
             return true;
         }
-        
-        if ((((name == null) && (otherSpec.name == null)) ||
-             (("".equals(name)) && ("".equals(otherSpec.name)))) &&
-            (formerNames.size() == 0) && (otherSpec.formerNames.size() == 0))
+
+        if ((((name == null) && (otherSpec.name == null)) || (("".equals(name)) && (""
+            .equals(otherSpec.name)))) &&
+            (formerNames.size() == 0) &&
+            (otherSpec.formerNames.size() == 0))
         {
             return true;
         }
-        
+
         // if the hwnd and the name did not stay the same, then the name should be checked first.
         // The current name of one of the specs must be contained in the former names of the
@@ -291,5 +294,5 @@
             return true;
         }
-        
+
         // ok. Even the names do not match. This is usually a clear indication, that the elements
         // are distinct. However, we check, if the former handles matched. This is very unlikely
@@ -302,26 +305,27 @@
 
         // now we can be really sure, that the GUI elements differ
-        
+
         return false;
     }
 
-    /* (non-Javadoc)
+    /*
+     * (non-Javadoc)
+     * 
      * @see de.ugoe.cs.quest.eventcore.guimodel.IGUIElementSpec#equals(IGUIElementSpec)
      */
     @Override
     public boolean equals(Object other) {
-        
+
         if (this == other) {
             return true;
         }
-        
+
         if (!(other instanceof MFCGUIElementSpec)) {
             return false;
         }
-        
+
         MFCGUIElementSpec otherSpec = (MFCGUIElementSpec) other;
-        
-        return
-            (hwnd == otherSpec.hwnd) && (isModal == otherSpec.isModal) &&
+
+        return (hwnd == otherSpec.hwnd) && (isModal == otherSpec.isModal) &&
             (resourceId == otherSpec.resourceId) &&
             ((type == otherSpec.type) || ((type != null) && (type.equals(otherSpec.type)))) &&
@@ -329,5 +333,7 @@
     }
 
-    /* (non-Javadoc)
+    /*
+     * (non-Javadoc)
+     * 
      * @see java.lang.Object#hashCode()
      */
@@ -340,5 +346,5 @@
     /**
      * <p>
-     * Returns a string identfier of the window:<br>
+     * Returns a string identifier of the window:<br>
      * {@code [resourceId;"windowName";"className";modality]}
      * </p>
@@ -348,31 +354,32 @@
     @Override
     public String toString() {
-        return "[" + resourceId + ";" + getName() + ";\"" + type + "\";" + isModal + ";" +
-            hwnd + "]";
-    }
-
-    /**
-     * <p>
-     * TODO: comment
-     * </p>
+        return "[" + resourceId + ";" + getName() + ";\"" + type + "\";" + isModal + ";" + hwnd +
+            "]";
+    }
+
+    /**
+     * <p>
+     * Returns the XML representation of this specification.
+     * </p>
+     * 
+     * @return the XML representation
      */
     String toXML() {
-        return
-            "<window name=\"" + (name != null ? StringTools.xmlEntityReplacement(name) : "") +
-            "\" class=\"" + StringTools.xmlEntityReplacement(type) +
-            "\" resourceId=\"" + resourceId + "\" isModal=\"" +
-            isModal + "\"/>";
-    }
-
-    /**
-     * <p>
-     * TODO: comment
-     * </p>
-     *
+        return "<window name=\"" + (name != null ? StringTools.xmlEntityReplacement(name) : "") +
+            "\" class=\"" + StringTools.xmlEntityReplacement(type) + "\" resourceId=\"" +
+            resourceId + "\" isModal=\"" + isModal + "\"/>";
+    }
+
+    /**
+     * <p>
+     * Updates the specification with another specification.
+     * </p>
+     * 
      * @param furtherSpec
+     *            specification used to update the current specification
      */
     void update(IGUIElementSpec furtherSpec) {
         MFCGUIElementSpec other = (MFCGUIElementSpec) furtherSpec;
-        
+
         if (other != this) {
             for (long formerHwnd : other.formerHwnds) {
@@ -388,6 +395,5 @@
             }
 
-            if ((name != other.name) && (name != null) && (!name.equals(other.name)))
-            {
+            if ((name != other.name) && (name != null) && (!name.equals(other.name))) {
                 setName(other.name);
             }
Index: trunk/quest-plugin-mfc/src/main/java/de/ugoe/cs/quest/plugin/mfc/guimodel/MFCListBox.java
===================================================================
--- trunk/quest-plugin-mfc/src/main/java/de/ugoe/cs/quest/plugin/mfc/guimodel/MFCListBox.java	(revision 832)
+++ trunk/quest-plugin-mfc/src/main/java/de/ugoe/cs/quest/plugin/mfc/guimodel/MFCListBox.java	(revision 837)
@@ -1,2 +1,3 @@
+
 package de.ugoe.cs.quest.plugin.mfc.guimodel;
 
@@ -5,22 +6,29 @@
 /**
  * <p>
- * TODO comment
+ * Class that represents list boxes in MFC GUIs.
  * </p>
  * 
- * @version $Revision: $ $Date: 23.08.2012$
- * @author 2012, last modified by $Author: pharms$
+ * @version 1.0
+ * @author Patrick Harms
  */
 public class MFCListBox extends MFCGUIElement implements IListBox {
 
-    /**  */
+    /**
+     * <p>
+     * Id for object serialization.
+     * </p>
+     */
     private static final long serialVersionUID = 1L;
 
     /**
      * <p>
-     * TODO: comment
+     * Constructor. Creates a new MFCListBox.
      * </p>
-     *
+     * 
      * @param specification
+     *            specification of created GUI element
      * @param parent
+     *            parent of the created GUI element; null means that the element is a top-level
+     *            window
      */
     public MFCListBox(MFCGUIElementSpec specification, MFCGUIElement parent) {
Index: trunk/quest-plugin-mfc/src/main/java/de/ugoe/cs/quest/plugin/mfc/guimodel/MFCPanel.java
===================================================================
--- trunk/quest-plugin-mfc/src/main/java/de/ugoe/cs/quest/plugin/mfc/guimodel/MFCPanel.java	(revision 832)
+++ trunk/quest-plugin-mfc/src/main/java/de/ugoe/cs/quest/plugin/mfc/guimodel/MFCPanel.java	(revision 837)
@@ -1,2 +1,3 @@
+
 package de.ugoe.cs.quest.plugin.mfc.guimodel;
 
@@ -5,22 +6,29 @@
 /**
  * <p>
- * TODO comment
+ * Class that represents panels in MFC GUIs.
  * </p>
  * 
- * @version $Revision: $ $Date: 23.08.2012$
- * @author 2012, last modified by $Author: pharms$
+ * @version 1.0
+ * @author Patrick Harms
  */
 public class MFCPanel extends MFCGUIElement implements IPanel {
 
-    /**  */
+    /**
+     * <p>
+     * Id for object serialization.
+     * </p>
+     */
     private static final long serialVersionUID = 1L;
 
     /**
      * <p>
-     * TODO: comment
+     * Constructor. Creates a new MFCPanel.
      * </p>
-     *
+     * 
      * @param specification
+     *            specification of created GUI element
      * @param parent
+     *            parent of the created GUI element; null means that the element is a top-level
+     *            window
      */
     public MFCPanel(MFCGUIElementSpec specification, MFCGUIElement parent) {
Index: trunk/quest-plugin-mfc/src/main/java/de/ugoe/cs/quest/plugin/mfc/guimodel/MFCTabbedPane.java
===================================================================
--- trunk/quest-plugin-mfc/src/main/java/de/ugoe/cs/quest/plugin/mfc/guimodel/MFCTabbedPane.java	(revision 832)
+++ trunk/quest-plugin-mfc/src/main/java/de/ugoe/cs/quest/plugin/mfc/guimodel/MFCTabbedPane.java	(revision 837)
@@ -1,2 +1,3 @@
+
 package de.ugoe.cs.quest.plugin.mfc.guimodel;
 
@@ -5,22 +6,29 @@
 /**
  * <p>
- * TODO comment
+ * Class that represents tabbed panes in MFC GUIs.
  * </p>
  * 
- * @version $Revision: $ $Date: 23.08.2012$
- * @author 2012, last modified by $Author: pharms$
+ * @version 1.0
+ * @author Patrick Harms
  */
 public class MFCTabbedPane extends MFCGUIElement implements ITabbedPane {
 
-    /**  */
+    /**
+     * <p>
+     * Id for object serialization.
+     * </p>
+     */
     private static final long serialVersionUID = 1L;
 
     /**
      * <p>
-     * TODO: comment
+     * Constructor. Creates a new TabbedPane.
      * </p>
-     *
+     * 
      * @param specification
+     *            specification of created GUI element
      * @param parent
+     *            parent of the created GUI element; null means that the element is a top-level
+     *            window
      */
     public MFCTabbedPane(MFCGUIElementSpec specification, MFCGUIElement parent) {
Index: trunk/quest-plugin-mfc/src/main/java/de/ugoe/cs/quest/plugin/mfc/guimodel/MFCTextArea.java
===================================================================
--- trunk/quest-plugin-mfc/src/main/java/de/ugoe/cs/quest/plugin/mfc/guimodel/MFCTextArea.java	(revision 832)
+++ trunk/quest-plugin-mfc/src/main/java/de/ugoe/cs/quest/plugin/mfc/guimodel/MFCTextArea.java	(revision 837)
@@ -1,2 +1,3 @@
+
 package de.ugoe.cs.quest.plugin.mfc.guimodel;
 
@@ -5,21 +6,29 @@
 /**
  * <p>
- * TODO comment
+ * Class that represents text areas in MFC GUIs.
  * </p>
  * 
- * @version $Revision: $ $Date: 21.08.2012$
- * @author 2012, last modified by $Author: pharms$
+ * @version 1.0
+ * @author Patrick Harms
  */
 public class MFCTextArea extends MFCGUIElement implements ITextArea {
 
-    /**  */
+    /**
+     * <p>
+     * Id for object serialization.
+     * </p>
+     */
     private static final long serialVersionUID = 1L;
 
     /**
      * <p>
-     * TODO: comment
+     * Constructor. Creates a new MFCTextArea.
      * </p>
-     *
+     * 
      * @param specification
+     *            specification of created GUI element
+     * @param parent
+     *            parent of the created GUI element; null means that the element is a top-level
+     *            window
      */
     public MFCTextArea(MFCGUIElementSpec specification, MFCGUIElement parent) {
Index: trunk/quest-plugin-mfc/src/main/java/de/ugoe/cs/quest/plugin/mfc/guimodel/MFCToolBar.java
===================================================================
--- trunk/quest-plugin-mfc/src/main/java/de/ugoe/cs/quest/plugin/mfc/guimodel/MFCToolBar.java	(revision 832)
+++ trunk/quest-plugin-mfc/src/main/java/de/ugoe/cs/quest/plugin/mfc/guimodel/MFCToolBar.java	(revision 837)
@@ -1,2 +1,3 @@
+
 package de.ugoe.cs.quest.plugin.mfc.guimodel;
 
@@ -5,22 +6,29 @@
 /**
  * <p>
- * TODO comment
+ * Class that represents tool bars in MFC GUIs.
  * </p>
  * 
- * @version $Revision: $ $Date: 23.08.2012$
- * @author 2012, last modified by $Author: pharms$
+ * @version 1.0
+ * @author Patrick Harms
  */
 public class MFCToolBar extends MFCGUIElement implements IToolBar {
 
-    /**  */
+    /**
+     * <p>
+     * Id for object serialization.
+     * </p>
+     */
     private static final long serialVersionUID = 1L;
 
     /**
      * <p>
-     * TODO: comment
+     * Constructor. Creates a new MFCToolBar.
      * </p>
-     *
+     * 
      * @param specification
+     *            specification of created GUI element
      * @param parent
+     *            parent of the created GUI element; null means that the element is a top-level
+     *            window
      */
     public MFCToolBar(MFCGUIElementSpec specification, MFCGUIElement parent) {
Index: trunk/quest-plugin-mfc/src/main/java/de/ugoe/cs/quest/plugin/mfc/guimodel/MFCTrackBar.java
===================================================================
--- trunk/quest-plugin-mfc/src/main/java/de/ugoe/cs/quest/plugin/mfc/guimodel/MFCTrackBar.java	(revision 832)
+++ trunk/quest-plugin-mfc/src/main/java/de/ugoe/cs/quest/plugin/mfc/guimodel/MFCTrackBar.java	(revision 837)
@@ -1,2 +1,3 @@
+
 package de.ugoe.cs.quest.plugin.mfc.guimodel;
 
@@ -5,22 +6,29 @@
 /**
  * <p>
- * TODO comment
+ * Class that represents track bars in MFC GUIs.
  * </p>
  * 
- * @version $Revision: $ $Date: 23.08.2012$
- * @author 2012, last modified by $Author: pharms$
+ * @version 1.0
+ * @author Patrick Harms
  */
 public class MFCTrackBar extends MFCGUIElement implements ITrackBar {
 
-    /**  */
+    /**
+     * <p>
+     * Id for object serialization.
+     * </p>
+     */
     private static final long serialVersionUID = 1L;
 
     /**
      * <p>
-     * TODO: comment
+     * Constructor. Creates a new MFCTrackBar.
      * </p>
-     *
+     * 
      * @param specification
+     *            specification of created GUI element
      * @param parent
+     *            parent of the created GUI element; null means that the element is a top-level
+     *            window
      */
     public MFCTrackBar(MFCGUIElementSpec specification, MFCGUIElement parent) {
Index: trunk/quest-plugin-mfc/src/main/java/de/ugoe/cs/quest/plugin/mfc/guimodel/MFCWindow.java
===================================================================
--- trunk/quest-plugin-mfc/src/main/java/de/ugoe/cs/quest/plugin/mfc/guimodel/MFCWindow.java	(revision 832)
+++ trunk/quest-plugin-mfc/src/main/java/de/ugoe/cs/quest/plugin/mfc/guimodel/MFCWindow.java	(revision 837)
@@ -1,2 +1,3 @@
+
 package de.ugoe.cs.quest.plugin.mfc.guimodel;
 
@@ -4,18 +5,30 @@
 
 /**
- * TODO comment
+ * <p>
+ * Class that represents windows in MFC GUIs.
+ * </p>
  * 
- * @version $Revision: $ $Date: $
- * @author 2011, last modified by $Author: $
+ * @version 1.0
+ * @author Patrick Harms
  */
 public class MFCWindow extends MFCGUIElement implements IFrame {
 
-    /**  */
+    /**
+     * <p>
+     * Id for object serialization.
+     * </p>
+     */
     private static final long serialVersionUID = 1L;
 
     /**
-     * @param name
-     * @param id
-     * @param isModal
+     * <p>
+     * Constructor. Creates a new MFCWindow.
+     * </p>
+     * 
+     * @param specification
+     *            specification of created GUI element
+     * @param parent
+     *            parent of the created GUI element; null means that the element is a top-level
+     *            window
      */
     public MFCWindow(MFCGUIElementSpec specification, MFCGUIElement parent) {
Index: trunk/quest-plugin-mfc/src/main/java/de/ugoe/cs/quest/plugin/mfc/guimodel/WindowTree.java
===================================================================
--- trunk/quest-plugin-mfc/src/main/java/de/ugoe/cs/quest/plugin/mfc/guimodel/WindowTree.java	(revision 832)
+++ trunk/quest-plugin-mfc/src/main/java/de/ugoe/cs/quest/plugin/mfc/guimodel/WindowTree.java	(revision 837)
@@ -1,2 +1,3 @@
+
 package de.ugoe.cs.quest.plugin.mfc.guimodel;
 
@@ -12,5 +13,4 @@
 import de.ugoe.cs.quest.eventcore.guimodel.GUIModelException;
 import de.ugoe.cs.quest.eventcore.guimodel.IGUIElementFactory;
-
 
 /**
@@ -30,6 +30,6 @@
     /**
      * <p>
-     * Maintains a set of all the targets of all widgets that were at some point part of the
-     * window tree.
+     * Maintains a set of all the targets of all widgets that were at some point part of the window
+     * tree.
      * </p>
      */
@@ -38,6 +38,6 @@
     /**
      * <p>
-     * Map of all GUI element specifications that are part of the tree for efficient searching.
-     * The keys of the map are the hwnd's of the GUI elements.
+     * Map of all GUI element specifications that are part of the tree for efficient searching. The
+     * keys of the map are the hwnd's of the GUI elements.
      * </p>
      */
@@ -46,6 +46,6 @@
     /**
      * <p>
-     * Map of all children of GUI elements that are part of the tree. The keys of the map are
-     * the hwnd's of the parent GUI elements.
+     * Map of all children of GUI elements that are part of the tree. The keys of the map are the
+     * hwnd's of the parent GUI elements.
      * </p>
      */
@@ -54,6 +54,6 @@
     /**
      * <p>
-     * Map of all parents of GUI elements that are part of the tree. The keys of the map are
-     * the hwnd's of the child GUI elements.
+     * Map of all parents of GUI elements that are part of the tree. The keys of the map are the
+     * hwnd's of the child GUI elements.
      * </p>
      */
@@ -66,5 +66,5 @@
      */
     private GUIModel guiModel = new GUIModel();
-    
+
     /**
      * <p>
@@ -114,9 +114,9 @@
      *            class name of the window to be created
      */
-    public void add(long    parentHwnd,
-                    long    childHwnd,
-                    String  childWindowName,
-                    int     resourceId,
-                    String  className,
+    public void add(long parentHwnd,
+                    long childHwnd,
+                    String childWindowName,
+                    int resourceId,
+                    String className,
                     boolean isModal)
     {
@@ -128,12 +128,12 @@
             if (parent != null) {
                 List<MFCGUIElementSpec> otherChildren = childRelations.get(parentHwnd);
-                
+
                 if (otherChildren == null) {
                     otherChildren = new ArrayList<MFCGUIElementSpec>();
                     childRelations.put(parentHwnd, otherChildren);
                 }
-                
+
                 otherChildren.add(child);
-                
+
                 parentRelations.put(childHwnd, parent);
             }
@@ -145,6 +145,6 @@
     /**
      * <p>
-     * Searches the tree for a window with the specified hwnd and returns its {@link MFCGUIElementSpec}
-     * .
+     * Searches the tree for a window with the specified hwnd and returns its
+     * {@link MFCGUIElementSpec} .
      * </p>
      * 
@@ -157,19 +157,19 @@
         if (guiElement == null) {
             List<MFCGUIElementSpec> guiElementPath = new ArrayList<MFCGUIElementSpec>();
-            
+
             MFCGUIElementSpec child = guiElementSpecs.get(hwnd);
-            
+
             if (child == null) {
                 throw new RuntimeException("no GUI element found with id " + hwnd);
             }
-            
+
             while (child != null) {
                 guiElementPath.add(0, child);
                 child = parentRelations.get(child.getHwnd());
             }
-            
+
             try {
-                guiElement = (MFCGUIElement)
-                    guiModel.integratePath(guiElementPath, guiElementFactory);
+                guiElement =
+                    (MFCGUIElement) guiModel.integratePath(guiElementPath, guiElementFactory);
             }
             catch (GUIModelException e) {
@@ -183,9 +183,11 @@
     /**
      * <p>
-     * TODO: comment
-     * </p>
-     *
+     * Sets the name of a GUI element given its HWND.
+     * </p>
+     * 
      * @param hwnd
+     *            HWND of the GUI element
      * @param windowName
+     *            new name of the GUI element
      */
     public void setName(long hwnd, String windowName) {
@@ -201,5 +203,5 @@
         }
     }
-    
+
     /**
      * <p>
@@ -215,8 +217,8 @@
         MFCGUIElementSpec node = guiElementSpecs.remove(hwnd);
         int removedCounter = 1;
-        
+
         if (node != null) {
             List<MFCGUIElementSpec> nodesToBeRemoved = childRelations.remove(hwnd);
-            
+
             // remove all children and sub-children, if any
             if (nodesToBeRemoved != null) {
@@ -225,9 +227,9 @@
                     List<MFCGUIElementSpec> children =
                         childRelations.remove(nodeToBeRemoved.getHwnd());
-                    
+
                     if (children != null) {
                         nodesToBeRemoved.addAll(children);
                     }
-                    
+
                     guiElementSpecs.remove(nodeToBeRemoved.getHwnd());
                     parentRelations.remove(nodeToBeRemoved.getHwnd());
@@ -248,5 +250,5 @@
                         }
                     }
-                    
+
                     if (children.size() <= 0) {
                         childRelations.remove(parent.getHwnd());