Index: trunk/autoquest-plugin-jfc/src/main/java/de/ugoe/cs/autoquest/plugin/jfc/guimodel/JFCButton.java
===================================================================
--- trunk/autoquest-plugin-jfc/src/main/java/de/ugoe/cs/quest/plugin/jfc/guimodel/JFCButton.java	(revision 906)
+++ trunk/autoquest-plugin-jfc/src/main/java/de/ugoe/cs/autoquest/plugin/jfc/guimodel/JFCButton.java	(revision 922)
@@ -1,6 +1,6 @@
 
-package de.ugoe.cs.quest.plugin.jfc.guimodel;
+package de.ugoe.cs.autoquest.plugin.jfc.guimodel;
 
-import de.ugoe.cs.quest.eventcore.guimodel.IButton;
+import de.ugoe.cs.autoquest.eventcore.guimodel.IButton;
 
 /**
@@ -39,5 +39,5 @@
      * (non-Javadoc)
      * 
-     * @see de.ugoe.cs.quest.plugin.jfc.guimodel.JFCGUIElement#getElementDescriptor()
+     * @see de.ugoe.cs.autoquest.plugin.jfc.guimodel.JFCGUIElement#getElementDescriptor()
      */
     @Override
Index: trunk/autoquest-plugin-jfc/src/main/java/de/ugoe/cs/autoquest/plugin/jfc/guimodel/JFCCanvas.java
===================================================================
--- trunk/autoquest-plugin-jfc/src/main/java/de/ugoe/cs/quest/plugin/jfc/guimodel/JFCCanvas.java	(revision 906)
+++ trunk/autoquest-plugin-jfc/src/main/java/de/ugoe/cs/autoquest/plugin/jfc/guimodel/JFCCanvas.java	(revision 922)
@@ -1,6 +1,6 @@
 
-package de.ugoe.cs.quest.plugin.jfc.guimodel;
+package de.ugoe.cs.autoquest.plugin.jfc.guimodel;
 
-import de.ugoe.cs.quest.eventcore.guimodel.ICanvas;
+import de.ugoe.cs.autoquest.eventcore.guimodel.ICanvas;
 
 /**
@@ -39,5 +39,5 @@
      * (non-Javadoc)
      * 
-     * @see de.ugoe.cs.quest.plugin.jfc.guimodel.JFCGUIElement#getElementDescriptor()
+     * @see de.ugoe.cs.autoquest.plugin.jfc.guimodel.JFCGUIElement#getElementDescriptor()
      */
     @Override
Index: trunk/autoquest-plugin-jfc/src/main/java/de/ugoe/cs/autoquest/plugin/jfc/guimodel/JFCCheckBox.java
===================================================================
--- trunk/autoquest-plugin-jfc/src/main/java/de/ugoe/cs/quest/plugin/jfc/guimodel/JFCCheckBox.java	(revision 906)
+++ trunk/autoquest-plugin-jfc/src/main/java/de/ugoe/cs/autoquest/plugin/jfc/guimodel/JFCCheckBox.java	(revision 922)
@@ -5,7 +5,7 @@
 // Copyright : Patrick Harms, 2012
 
-package de.ugoe.cs.quest.plugin.jfc.guimodel;
+package de.ugoe.cs.autoquest.plugin.jfc.guimodel;
 
-import de.ugoe.cs.quest.eventcore.guimodel.ICheckBox;
+import de.ugoe.cs.autoquest.eventcore.guimodel.ICheckBox;
 
 /**
@@ -44,5 +44,5 @@
      * (non-Javadoc)
      * 
-     * @see de.ugoe.cs.quest.plugin.jfc.guimodel.JFCGUIElement#getElementDescriptor()
+     * @see de.ugoe.cs.autoquest.plugin.jfc.guimodel.JFCGUIElement#getElementDescriptor()
      */
     @Override
Index: trunk/autoquest-plugin-jfc/src/main/java/de/ugoe/cs/autoquest/plugin/jfc/guimodel/JFCComboBox.java
===================================================================
--- trunk/autoquest-plugin-jfc/src/main/java/de/ugoe/cs/quest/plugin/jfc/guimodel/JFCComboBox.java	(revision 906)
+++ trunk/autoquest-plugin-jfc/src/main/java/de/ugoe/cs/autoquest/plugin/jfc/guimodel/JFCComboBox.java	(revision 922)
@@ -1,6 +1,6 @@
 
-package de.ugoe.cs.quest.plugin.jfc.guimodel;
+package de.ugoe.cs.autoquest.plugin.jfc.guimodel;
 
-import de.ugoe.cs.quest.eventcore.guimodel.IComboBox;
+import de.ugoe.cs.autoquest.eventcore.guimodel.IComboBox;
 
 /**
@@ -39,5 +39,5 @@
      * (non-Javadoc)
      * 
-     * @see de.ugoe.cs.quest.plugin.jfc.guimodel.JFCGUIElement#getElementDescriptor()
+     * @see de.ugoe.cs.autoquest.plugin.jfc.guimodel.JFCGUIElement#getElementDescriptor()
      */
     @Override
Index: trunk/autoquest-plugin-jfc/src/main/java/de/ugoe/cs/autoquest/plugin/jfc/guimodel/JFCDialog.java
===================================================================
--- trunk/autoquest-plugin-jfc/src/main/java/de/ugoe/cs/quest/plugin/jfc/guimodel/JFCDialog.java	(revision 906)
+++ trunk/autoquest-plugin-jfc/src/main/java/de/ugoe/cs/autoquest/plugin/jfc/guimodel/JFCDialog.java	(revision 922)
@@ -1,6 +1,6 @@
 
-package de.ugoe.cs.quest.plugin.jfc.guimodel;
+package de.ugoe.cs.autoquest.plugin.jfc.guimodel;
 
-import de.ugoe.cs.quest.eventcore.guimodel.IFrame;
+import de.ugoe.cs.autoquest.eventcore.guimodel.IFrame;
 
 /**
@@ -39,5 +39,5 @@
      * (non-Javadoc)
      * 
-     * @see de.ugoe.cs.quest.plugin.jfc.guimodel.JFCGUIElement#getElementDescriptor()
+     * @see de.ugoe.cs.autoquest.plugin.jfc.guimodel.JFCGUIElement#getElementDescriptor()
      */
     @Override
Index: trunk/autoquest-plugin-jfc/src/main/java/de/ugoe/cs/autoquest/plugin/jfc/guimodel/JFCFrame.java
===================================================================
--- trunk/autoquest-plugin-jfc/src/main/java/de/ugoe/cs/quest/plugin/jfc/guimodel/JFCFrame.java	(revision 906)
+++ trunk/autoquest-plugin-jfc/src/main/java/de/ugoe/cs/autoquest/plugin/jfc/guimodel/JFCFrame.java	(revision 922)
@@ -1,6 +1,6 @@
 
-package de.ugoe.cs.quest.plugin.jfc.guimodel;
+package de.ugoe.cs.autoquest.plugin.jfc.guimodel;
 
-import de.ugoe.cs.quest.eventcore.guimodel.IFrame;
+import de.ugoe.cs.autoquest.eventcore.guimodel.IFrame;
 
 /**
@@ -39,5 +39,5 @@
      * (non-Javadoc)
      * 
-     * @see de.ugoe.cs.quest.plugin.jfc.guimodel.JFCGUIElement#getElementDescriptor()
+     * @see de.ugoe.cs.autoquest.plugin.jfc.guimodel.JFCGUIElement#getElementDescriptor()
      */
     @Override
Index: trunk/autoquest-plugin-jfc/src/main/java/de/ugoe/cs/autoquest/plugin/jfc/guimodel/JFCGUIElement.java
===================================================================
--- trunk/autoquest-plugin-jfc/src/main/java/de/ugoe/cs/quest/plugin/jfc/guimodel/JFCGUIElement.java	(revision 906)
+++ trunk/autoquest-plugin-jfc/src/main/java/de/ugoe/cs/autoquest/plugin/jfc/guimodel/JFCGUIElement.java	(revision 922)
@@ -1,7 +1,7 @@
 
-package de.ugoe.cs.quest.plugin.jfc.guimodel;
+package de.ugoe.cs.autoquest.plugin.jfc.guimodel;
 
-import de.ugoe.cs.quest.eventcore.guimodel.AbstractDefaultGUIElement;
-import de.ugoe.cs.quest.eventcore.guimodel.IGUIElementSpec;
+import de.ugoe.cs.autoquest.eventcore.guimodel.AbstractDefaultGUIElement;
+import de.ugoe.cs.autoquest.eventcore.guimodel.IGUIElementSpec;
 
 /**
@@ -48,5 +48,5 @@
      * (non-Javadoc)
      * 
-     * @see de.ugoe.cs.quest.eventcore.IEventTarget#getPlatform()
+     * @see de.ugoe.cs.autoquest.eventcore.IEventTarget#getPlatform()
      */
     @Override
@@ -114,5 +114,5 @@
      * 
      * @see
-     * de.ugoe.cs.quest.eventcore.guimodel.IGUIElement#updateSpecification(de.ugoe.cs.quest.eventcore
+     * de.ugoe.cs.autoquest.eventcore.guimodel.IGUIElement#updateSpecification(de.ugoe.cs.autoquest.eventcore
      * .guimodel.IGUIElementSpec)
      */
Index: trunk/autoquest-plugin-jfc/src/main/java/de/ugoe/cs/autoquest/plugin/jfc/guimodel/JFCGUIElementSpec.java
===================================================================
--- trunk/autoquest-plugin-jfc/src/main/java/de/ugoe/cs/quest/plugin/jfc/guimodel/JFCGUIElementSpec.java	(revision 906)
+++ trunk/autoquest-plugin-jfc/src/main/java/de/ugoe/cs/autoquest/plugin/jfc/guimodel/JFCGUIElementSpec.java	(revision 922)
@@ -1,4 +1,4 @@
 
-package de.ugoe.cs.quest.plugin.jfc.guimodel;
+package de.ugoe.cs.autoquest.plugin.jfc.guimodel;
 
 import java.util.ArrayList;
@@ -7,6 +7,6 @@
 import org.apache.commons.collections15.CollectionUtils;
 
-import de.ugoe.cs.quest.eventcore.guimodel.IGUIElement;
-import de.ugoe.cs.quest.eventcore.guimodel.IGUIElementSpec;
+import de.ugoe.cs.autoquest.eventcore.guimodel.IGUIElement;
+import de.ugoe.cs.autoquest.eventcore.guimodel.IGUIElementSpec;
 
 /**
@@ -80,5 +80,5 @@
      * 
      * @see
-     * de.ugoe.cs.quest.eventcore.guimodel.IGUIElementSpec#getSecificationSimilarity(IGUIElementSpec
+     * de.ugoe.cs.autoquest.eventcore.guimodel.IGUIElementSpec#getSecificationSimilarity(IGUIElementSpec
      * )
      */
@@ -169,5 +169,5 @@
      * (non-Javadoc)
      * 
-     * @see de.ugoe.cs.quest.eventcore.guimodel.IGUIElementSpec#equals(IGUIElementSpec)
+     * @see de.ugoe.cs.autoquest.eventcore.guimodel.IGUIElementSpec#equals(IGUIElementSpec)
      */
     @Override
Index: trunk/autoquest-plugin-jfc/src/main/java/de/ugoe/cs/autoquest/plugin/jfc/guimodel/JFCListBox.java
===================================================================
--- trunk/autoquest-plugin-jfc/src/main/java/de/ugoe/cs/quest/plugin/jfc/guimodel/JFCListBox.java	(revision 906)
+++ trunk/autoquest-plugin-jfc/src/main/java/de/ugoe/cs/autoquest/plugin/jfc/guimodel/JFCListBox.java	(revision 922)
@@ -5,7 +5,7 @@
 // Copyright : Patrick Harms, 2012
 
-package de.ugoe.cs.quest.plugin.jfc.guimodel;
+package de.ugoe.cs.autoquest.plugin.jfc.guimodel;
 
-import de.ugoe.cs.quest.eventcore.guimodel.IListBox;
+import de.ugoe.cs.autoquest.eventcore.guimodel.IListBox;
 
 /**
@@ -44,5 +44,5 @@
      * (non-Javadoc)
      * 
-     * @see de.ugoe.cs.quest.plugin.jfc.guimodel.JFCGUIElement#getElementDescriptor()
+     * @see de.ugoe.cs.autoquest.plugin.jfc.guimodel.JFCGUIElement#getElementDescriptor()
      */
     @Override
Index: trunk/autoquest-plugin-jfc/src/main/java/de/ugoe/cs/autoquest/plugin/jfc/guimodel/JFCMenu.java
===================================================================
--- trunk/autoquest-plugin-jfc/src/main/java/de/ugoe/cs/quest/plugin/jfc/guimodel/JFCMenu.java	(revision 906)
+++ trunk/autoquest-plugin-jfc/src/main/java/de/ugoe/cs/autoquest/plugin/jfc/guimodel/JFCMenu.java	(revision 922)
@@ -1,6 +1,6 @@
 
-package de.ugoe.cs.quest.plugin.jfc.guimodel;
+package de.ugoe.cs.autoquest.plugin.jfc.guimodel;
 
-import de.ugoe.cs.quest.eventcore.guimodel.IMenu;
+import de.ugoe.cs.autoquest.eventcore.guimodel.IMenu;
 
 /**
@@ -39,5 +39,5 @@
      * (non-Javadoc)
      * 
-     * @see de.ugoe.cs.quest.plugin.jfc.guimodel.JFCGUIElement#getElementDescriptor()
+     * @see de.ugoe.cs.autoquest.plugin.jfc.guimodel.JFCGUIElement#getElementDescriptor()
      */
     @Override
Index: trunk/autoquest-plugin-jfc/src/main/java/de/ugoe/cs/autoquest/plugin/jfc/guimodel/JFCMenuBar.java
===================================================================
--- trunk/autoquest-plugin-jfc/src/main/java/de/ugoe/cs/quest/plugin/jfc/guimodel/JFCMenuBar.java	(revision 906)
+++ trunk/autoquest-plugin-jfc/src/main/java/de/ugoe/cs/autoquest/plugin/jfc/guimodel/JFCMenuBar.java	(revision 922)
@@ -1,6 +1,6 @@
 
-package de.ugoe.cs.quest.plugin.jfc.guimodel;
+package de.ugoe.cs.autoquest.plugin.jfc.guimodel;
 
-import de.ugoe.cs.quest.eventcore.guimodel.IMenuBar;
+import de.ugoe.cs.autoquest.eventcore.guimodel.IMenuBar;
 
 /**
@@ -39,5 +39,5 @@
      * (non-Javadoc)
      * 
-     * @see de.ugoe.cs.quest.plugin.jfc.guimodel.JFCMenu#getElementDescriptor()
+     * @see de.ugoe.cs.autoquest.plugin.jfc.guimodel.JFCMenu#getElementDescriptor()
      */
     @Override
Index: trunk/autoquest-plugin-jfc/src/main/java/de/ugoe/cs/autoquest/plugin/jfc/guimodel/JFCMenuButton.java
===================================================================
--- trunk/autoquest-plugin-jfc/src/main/java/de/ugoe/cs/quest/plugin/jfc/guimodel/JFCMenuButton.java	(revision 906)
+++ trunk/autoquest-plugin-jfc/src/main/java/de/ugoe/cs/autoquest/plugin/jfc/guimodel/JFCMenuButton.java	(revision 922)
@@ -1,6 +1,6 @@
 
-package de.ugoe.cs.quest.plugin.jfc.guimodel;
+package de.ugoe.cs.autoquest.plugin.jfc.guimodel;
 
-import de.ugoe.cs.quest.eventcore.guimodel.IMenuButton;
+import de.ugoe.cs.autoquest.eventcore.guimodel.IMenuButton;
 
 /**
@@ -39,5 +39,5 @@
      * (non-Javadoc)
      * 
-     * @see de.ugoe.cs.quest.plugin.jfc.guimodel.JFCButton#getElementDescriptor()
+     * @see de.ugoe.cs.autoquest.plugin.jfc.guimodel.JFCButton#getElementDescriptor()
      */
     @Override
Index: trunk/autoquest-plugin-jfc/src/main/java/de/ugoe/cs/autoquest/plugin/jfc/guimodel/JFCPanel.java
===================================================================
--- trunk/autoquest-plugin-jfc/src/main/java/de/ugoe/cs/quest/plugin/jfc/guimodel/JFCPanel.java	(revision 906)
+++ trunk/autoquest-plugin-jfc/src/main/java/de/ugoe/cs/autoquest/plugin/jfc/guimodel/JFCPanel.java	(revision 922)
@@ -1,6 +1,6 @@
 
-package de.ugoe.cs.quest.plugin.jfc.guimodel;
+package de.ugoe.cs.autoquest.plugin.jfc.guimodel;
 
-import de.ugoe.cs.quest.eventcore.guimodel.IPanel;
+import de.ugoe.cs.autoquest.eventcore.guimodel.IPanel;
 
 /**
@@ -39,5 +39,5 @@
      * (non-Javadoc)
      * 
-     * @see de.ugoe.cs.quest.plugin.jfc.guimodel.JFCGUIElement#getElementDescriptor()
+     * @see de.ugoe.cs.autoquest.plugin.jfc.guimodel.JFCGUIElement#getElementDescriptor()
      */
     @Override
Index: trunk/autoquest-plugin-jfc/src/main/java/de/ugoe/cs/autoquest/plugin/jfc/guimodel/JFCRadioButton.java
===================================================================
--- trunk/autoquest-plugin-jfc/src/main/java/de/ugoe/cs/quest/plugin/jfc/guimodel/JFCRadioButton.java	(revision 906)
+++ trunk/autoquest-plugin-jfc/src/main/java/de/ugoe/cs/autoquest/plugin/jfc/guimodel/JFCRadioButton.java	(revision 922)
@@ -5,7 +5,7 @@
 // Copyright : Patrick Harms, 2012
 
-package de.ugoe.cs.quest.plugin.jfc.guimodel;
+package de.ugoe.cs.autoquest.plugin.jfc.guimodel;
 
-import de.ugoe.cs.quest.eventcore.guimodel.IRadioButton;
+import de.ugoe.cs.autoquest.eventcore.guimodel.IRadioButton;
 
 /**
@@ -44,5 +44,5 @@
      * (non-Javadoc)
      * 
-     * @see de.ugoe.cs.quest.plugin.jfc.guimodel.JFCGUIElement#getElementDescriptor()
+     * @see de.ugoe.cs.autoquest.plugin.jfc.guimodel.JFCGUIElement#getElementDescriptor()
      */
     @Override
Index: trunk/autoquest-plugin-jfc/src/main/java/de/ugoe/cs/autoquest/plugin/jfc/guimodel/JFCScrollBar.java
===================================================================
--- trunk/autoquest-plugin-jfc/src/main/java/de/ugoe/cs/quest/plugin/jfc/guimodel/JFCScrollBar.java	(revision 906)
+++ trunk/autoquest-plugin-jfc/src/main/java/de/ugoe/cs/autoquest/plugin/jfc/guimodel/JFCScrollBar.java	(revision 922)
@@ -1,6 +1,6 @@
 
-package de.ugoe.cs.quest.plugin.jfc.guimodel;
+package de.ugoe.cs.autoquest.plugin.jfc.guimodel;
 
-import de.ugoe.cs.quest.eventcore.guimodel.IScrollBar;
+import de.ugoe.cs.autoquest.eventcore.guimodel.IScrollBar;
 
 /**
@@ -39,5 +39,5 @@
      * (non-Javadoc)
      * 
-     * @see de.ugoe.cs.quest.plugin.jfc.guimodel.JFCGUIElement#getElementDescriptor()
+     * @see de.ugoe.cs.autoquest.plugin.jfc.guimodel.JFCGUIElement#getElementDescriptor()
      */
     @Override
Index: trunk/autoquest-plugin-jfc/src/main/java/de/ugoe/cs/autoquest/plugin/jfc/guimodel/JFCScrollPane.java
===================================================================
--- trunk/autoquest-plugin-jfc/src/main/java/de/ugoe/cs/quest/plugin/jfc/guimodel/JFCScrollPane.java	(revision 906)
+++ trunk/autoquest-plugin-jfc/src/main/java/de/ugoe/cs/autoquest/plugin/jfc/guimodel/JFCScrollPane.java	(revision 922)
@@ -1,6 +1,6 @@
 
-package de.ugoe.cs.quest.plugin.jfc.guimodel;
+package de.ugoe.cs.autoquest.plugin.jfc.guimodel;
 
-import de.ugoe.cs.quest.eventcore.guimodel.IScrollPane;
+import de.ugoe.cs.autoquest.eventcore.guimodel.IScrollPane;
 
 /**
@@ -39,5 +39,5 @@
      * (non-Javadoc)
      * 
-     * @see de.ugoe.cs.quest.plugin.jfc.guimodel.JFCGUIElement#getElementDescriptor()
+     * @see de.ugoe.cs.autoquest.plugin.jfc.guimodel.JFCGUIElement#getElementDescriptor()
      */
     @Override
Index: trunk/autoquest-plugin-jfc/src/main/java/de/ugoe/cs/autoquest/plugin/jfc/guimodel/JFCShape.java
===================================================================
--- trunk/autoquest-plugin-jfc/src/main/java/de/ugoe/cs/quest/plugin/jfc/guimodel/JFCShape.java	(revision 906)
+++ trunk/autoquest-plugin-jfc/src/main/java/de/ugoe/cs/autoquest/plugin/jfc/guimodel/JFCShape.java	(revision 922)
@@ -1,6 +1,6 @@
 
-package de.ugoe.cs.quest.plugin.jfc.guimodel;
+package de.ugoe.cs.autoquest.plugin.jfc.guimodel;
 
-import de.ugoe.cs.quest.eventcore.guimodel.IShape;
+import de.ugoe.cs.autoquest.eventcore.guimodel.IShape;
 
 /**
@@ -39,5 +39,5 @@
      * (non-Javadoc)
      * 
-     * @see de.ugoe.cs.quest.plugin.jfc.guimodel.JFCGUIElement#getElementDescriptor()
+     * @see de.ugoe.cs.autoquest.plugin.jfc.guimodel.JFCGUIElement#getElementDescriptor()
      */
     @Override
Index: trunk/autoquest-plugin-jfc/src/main/java/de/ugoe/cs/autoquest/plugin/jfc/guimodel/JFCSplitPane.java
===================================================================
--- trunk/autoquest-plugin-jfc/src/main/java/de/ugoe/cs/quest/plugin/jfc/guimodel/JFCSplitPane.java	(revision 906)
+++ trunk/autoquest-plugin-jfc/src/main/java/de/ugoe/cs/autoquest/plugin/jfc/guimodel/JFCSplitPane.java	(revision 922)
@@ -1,6 +1,6 @@
 
-package de.ugoe.cs.quest.plugin.jfc.guimodel;
+package de.ugoe.cs.autoquest.plugin.jfc.guimodel;
 
-import de.ugoe.cs.quest.eventcore.guimodel.ISplitPane;
+import de.ugoe.cs.autoquest.eventcore.guimodel.ISplitPane;
 
 /**
@@ -39,5 +39,5 @@
      * (non-Javadoc)
      * 
-     * @see de.ugoe.cs.quest.plugin.jfc.guimodel.JFCGUIElement#getElementDescriptor()
+     * @see de.ugoe.cs.autoquest.plugin.jfc.guimodel.JFCGUIElement#getElementDescriptor()
      */
     @Override
Index: trunk/autoquest-plugin-jfc/src/main/java/de/ugoe/cs/autoquest/plugin/jfc/guimodel/JFCTabbedPane.java
===================================================================
--- trunk/autoquest-plugin-jfc/src/main/java/de/ugoe/cs/quest/plugin/jfc/guimodel/JFCTabbedPane.java	(revision 906)
+++ trunk/autoquest-plugin-jfc/src/main/java/de/ugoe/cs/autoquest/plugin/jfc/guimodel/JFCTabbedPane.java	(revision 922)
@@ -1,6 +1,6 @@
 
-package de.ugoe.cs.quest.plugin.jfc.guimodel;
+package de.ugoe.cs.autoquest.plugin.jfc.guimodel;
 
-import de.ugoe.cs.quest.eventcore.guimodel.ITabbedPane;
+import de.ugoe.cs.autoquest.eventcore.guimodel.ITabbedPane;
 
 /**
@@ -39,5 +39,5 @@
      * (non-Javadoc)
      * 
-     * @see de.ugoe.cs.quest.plugin.jfc.guimodel.JFCGUIElement#getElementDescriptor()
+     * @see de.ugoe.cs.autoquest.plugin.jfc.guimodel.JFCGUIElement#getElementDescriptor()
      */
     @Override
Index: trunk/autoquest-plugin-jfc/src/main/java/de/ugoe/cs/autoquest/plugin/jfc/guimodel/JFCTable.java
===================================================================
--- trunk/autoquest-plugin-jfc/src/main/java/de/ugoe/cs/quest/plugin/jfc/guimodel/JFCTable.java	(revision 906)
+++ trunk/autoquest-plugin-jfc/src/main/java/de/ugoe/cs/autoquest/plugin/jfc/guimodel/JFCTable.java	(revision 922)
@@ -5,7 +5,7 @@
 // Copyright : Patrick Harms, 2012
 
-package de.ugoe.cs.quest.plugin.jfc.guimodel;
+package de.ugoe.cs.autoquest.plugin.jfc.guimodel;
 
-import de.ugoe.cs.quest.eventcore.guimodel.ITable;
+import de.ugoe.cs.autoquest.eventcore.guimodel.ITable;
 
 /**
@@ -44,5 +44,5 @@
      * (non-Javadoc)
      * 
-     * @see de.ugoe.cs.quest.plugin.jfc.guimodel.JFCGUIElement#getElementDescriptor()
+     * @see de.ugoe.cs.autoquest.plugin.jfc.guimodel.JFCGUIElement#getElementDescriptor()
      */
     @Override
Index: trunk/autoquest-plugin-jfc/src/main/java/de/ugoe/cs/autoquest/plugin/jfc/guimodel/JFCTextArea.java
===================================================================
--- trunk/autoquest-plugin-jfc/src/main/java/de/ugoe/cs/quest/plugin/jfc/guimodel/JFCTextArea.java	(revision 906)
+++ trunk/autoquest-plugin-jfc/src/main/java/de/ugoe/cs/autoquest/plugin/jfc/guimodel/JFCTextArea.java	(revision 922)
@@ -1,6 +1,6 @@
 
-package de.ugoe.cs.quest.plugin.jfc.guimodel;
+package de.ugoe.cs.autoquest.plugin.jfc.guimodel;
 
-import de.ugoe.cs.quest.eventcore.guimodel.ITextField;
+import de.ugoe.cs.autoquest.eventcore.guimodel.ITextField;
 
 /**
@@ -39,5 +39,5 @@
      * (non-Javadoc)
      * 
-     * @see de.ugoe.cs.quest.plugin.jfc.guimodel.JFCGUIElement#getElementDescriptor()
+     * @see de.ugoe.cs.autoquest.plugin.jfc.guimodel.JFCGUIElement#getElementDescriptor()
      */
     @Override
Index: trunk/autoquest-plugin-jfc/src/main/java/de/ugoe/cs/autoquest/plugin/jfc/guimodel/JFCTextField.java
===================================================================
--- trunk/autoquest-plugin-jfc/src/main/java/de/ugoe/cs/quest/plugin/jfc/guimodel/JFCTextField.java	(revision 906)
+++ trunk/autoquest-plugin-jfc/src/main/java/de/ugoe/cs/autoquest/plugin/jfc/guimodel/JFCTextField.java	(revision 922)
@@ -1,6 +1,6 @@
 
-package de.ugoe.cs.quest.plugin.jfc.guimodel;
+package de.ugoe.cs.autoquest.plugin.jfc.guimodel;
 
-import de.ugoe.cs.quest.eventcore.guimodel.ITextField;
+import de.ugoe.cs.autoquest.eventcore.guimodel.ITextField;
 
 /**
@@ -39,5 +39,5 @@
      * (non-Javadoc)
      * 
-     * @see de.ugoe.cs.quest.plugin.jfc.guimodel.JFCGUIElement#getElementDescriptor()
+     * @see de.ugoe.cs.autoquest.plugin.jfc.guimodel.JFCGUIElement#getElementDescriptor()
      */
     @Override
Index: trunk/autoquest-plugin-jfc/src/main/java/de/ugoe/cs/autoquest/plugin/jfc/guimodel/JFCToolBar.java
===================================================================
--- trunk/autoquest-plugin-jfc/src/main/java/de/ugoe/cs/quest/plugin/jfc/guimodel/JFCToolBar.java	(revision 906)
+++ trunk/autoquest-plugin-jfc/src/main/java/de/ugoe/cs/autoquest/plugin/jfc/guimodel/JFCToolBar.java	(revision 922)
@@ -1,6 +1,6 @@
 
-package de.ugoe.cs.quest.plugin.jfc.guimodel;
+package de.ugoe.cs.autoquest.plugin.jfc.guimodel;
 
-import de.ugoe.cs.quest.eventcore.guimodel.IToolBar;
+import de.ugoe.cs.autoquest.eventcore.guimodel.IToolBar;
 
 /**
@@ -39,5 +39,5 @@
      * (non-Javadoc)
      * 
-     * @see de.ugoe.cs.quest.plugin.jfc.guimodel.JFCGUIElement#getElementDescriptor()
+     * @see de.ugoe.cs.autoquest.plugin.jfc.guimodel.JFCGUIElement#getElementDescriptor()
      */
     @Override
Index: trunk/autoquest-plugin-jfc/src/main/java/de/ugoe/cs/autoquest/plugin/jfc/guimodel/JFCTree.java
===================================================================
--- trunk/autoquest-plugin-jfc/src/main/java/de/ugoe/cs/quest/plugin/jfc/guimodel/JFCTree.java	(revision 906)
+++ trunk/autoquest-plugin-jfc/src/main/java/de/ugoe/cs/autoquest/plugin/jfc/guimodel/JFCTree.java	(revision 922)
@@ -5,7 +5,7 @@
 // Copyright : Patrick Harms, 2012
 
-package de.ugoe.cs.quest.plugin.jfc.guimodel;
+package de.ugoe.cs.autoquest.plugin.jfc.guimodel;
 
-import de.ugoe.cs.quest.eventcore.guimodel.ITree;
+import de.ugoe.cs.autoquest.eventcore.guimodel.ITree;
 
 /**
@@ -44,5 +44,5 @@
      * (non-Javadoc)
      * 
-     * @see de.ugoe.cs.quest.plugin.jfc.guimodel.JFCGUIElement#getElementDescriptor()
+     * @see de.ugoe.cs.autoquest.plugin.jfc.guimodel.JFCGUIElement#getElementDescriptor()
      */
     @Override